Name: vpnd
Summary: The virtual private network daemon vpnd is a daemon which connects two networks on network level either via TCP/IP or a (virtual) leased line attached to a serial interface. All data transfered between the two networks are encrypted using the unpatented free Blowfish encryption algorithm.
Version: 1.0.8
Release: 1mdk
Source: http://sunsite.auc.dk/vpnd/vpnd-1.0.8.tar.bz2
Group: security/vpn
URL: http://sunsite.auc.dk/vpnd/
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL/LGPL
Prefix: /usr

%description

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n vpnd

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix}
make -j 2

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc
install -m 700 -s -o root -g root vpnd $RPM_BUILD_ROOT/usr/sbin
install -m 644 -o root -g root vpnd.conf $RPM_BUILD_ROOT/etc
install -m 644 -o root -g root vpnd.chat $RPM_BUILD_ROOT/etc

#These lines are only needed for systems without /dev/random

#mkdir -p $RPM_BUILD_ROOT/dev
#install -m 644 -s -o root -g root randomd $RPM_BUILD_ROOT/dev
#cd $RPM_BUILD_ROOT/dev
#ln -s ./randomd ./random

if [ -d $RPM_BUILD_ROOT/usr/man ]; then
  find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/info ]; then
  find $RPM_BUILD_ROOT/usr/info -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/X11R6/man ]; then
  find $RPM_BUILD_ROOT/usr/X11R6/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/lib/perl5/man ]; then
  find $RPM_BUILD_ROOT/usr/lib/perl5/man -type f -exec bzip2 -9f {} \;
fi

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' \
#       -e '/\/etc\//s|^|%config|' \
#       -e '/\/config\//s|^|%config|' \
       >> $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
%defattr(-,root,root,0755)
%doc VERSIONS SPEED.TXT README

%changelog
* Tue Oct 05 1999 Sean P. Kane <kane@ca.metsci.com>
- Created first VPND RPM - version 1.0.8 - for Mandrake

* Fri Aug 06 1999 Stefan Siegel <siegel@informatik.uni-kl.de>
- Added "config" tag for files containing /etc or /config
- Added compression for perl- and localized man-pages

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
